// DlgJoin.cpp : implementation file
//

#include "stdafx.h"
#include "sss.h"
#include "DlgJoin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgJoin dialog


CDlgJoin::CDlgJoin(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgJoin::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgJoin)
	m_id = _T("");
	m_pass = _T("");
	m_pass2 = _T("");
	//}}AFX_DATA_INIT
}


void CDlgJoin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgJoin)
	DDX_Text(pDX, IDC_EDIT1, m_id);
	DDV_MaxChars(pDX, m_id, 8);
	DDX_Text(pDX, IDC_EDIT2, m_pass);
	DDX_Text(pDX, IDC_EDIT3, m_pass2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgJoin, CDialog)
	//{{AFX_MSG_MAP(CDlgJoin)
	ON_BN_CLICKED(IDC_BUTTON1, OnButtonCheck)
	ON_EN_CHANGE(IDC_EDIT1, OnChangeEdit1)
	ON_EN_MAXTEXT(IDC_EDIT1, OnMaxtextEdit1)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgJoin message handlers

void CDlgJoin::OnButtonCheck() 
{
	UpdateData(TRUE);

	if(m_id.GetLength() < 4)
	{
		AfxMessageBox("̵ ּ 4ڸ Ǿ մϴ.");
		return;
	}

	GetDlgItem(IDC_EDIT2)->EnableWindow(TRUE);
	GetDlgItem(IDC_EDIT3)->EnableWindow(TRUE);

	GetDlgItem(IDC_EDIT2)->SetFocus();
	GetDlgItem(IDOK)->EnableWindow(TRUE);
}

void CDlgJoin::OnChangeEdit1() 
{
	UpdateData(TRUE);

	CString s = m_id.Right(1);
	if(s.GetLength() == 0)
		return;

	if(!isalnum(s.GetAt(0)))
	{
		AfxMessageBox(" ڸ մϴ.");
		m_id = m_id.Left(m_id.GetLength()-1);
		UpdateData(FALSE);
		return;
	}
}

void CDlgJoin::OnMaxtextEdit1() 
{
	AfxMessageBox("̵ ִ 8ڱ ˴ϴ.");
}

void CDlgJoin::OnOK() 
{
	UpdateData(TRUE);

	if(m_pass.GetLength() == 0)
	{
		AfxMessageBox("ȣ    ϴ.");
		GetDlgItem(IDC_EDIT2)->SetFocus();
		return;
	}
	
	if(m_pass != m_pass2)
	{
		AfxMessageBox("ȣ ùٸ ʽϴ.");
		GetDlgItem(IDC_EDIT3)->SetFocus();
		return;
	}

	CDialog::OnOK();
}


HBRUSH CDlgJoin::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	
	if(nCtlColor == CTLCOLOR_EDIT)
		pDC->SetTextColor(RGB(0, 0, 255));
	else if(nCtlColor == CTLCOLOR_STATIC)
		pDC->SetTextColor(RGB(255, 0, 0));
	else if(nCtlColor == CTLCOLOR_BTN)
		pDC->SetTextColor(RGB(255, 0, 0));
	
	// TODO: Return a different brush if the default is not desired
	return hbr;
}
